/*
# Copyright (C) 2002 John Goerzen
# <jgoerzen@complete.org>
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include <gpgme.h>
#include "Python.h"

GpgmeError gpgme_data_read_helper(GpgmeData dh, char *buffer, size_t *length);
void pygpgme_set_passphrase_cb(GpgmeCtx ctx, PyObject *cb,
			       PyObject **freelater);
const char *pyPassphraseCb(void *hook, const char *desc, void **r_hd);
void pygpgme_clear_generic_cb(PyObject **cb);

void pygpgme_set_progress_cb(GpgmeCtx ctx, PyObject *cb, PyObject **freelater);
void pyProgressCb(void *hook, const char *what, int type, int current,
		  int total);
int pyReadCb(void *hook, char *buffer, size_t count, size_t *nread);
void pygpgme_data_new_with_read_cb(GpgmeData *dh, PyObject *cb, 
                                   PyObject **freelater);
